Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.conversion.HTML2PDFRelatedResourceArray Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| HTML2PDFRelatedResourceArray ()
| Constructor.
| HTML2PDFRelatedResourceArray (HTML2PDFRelatedResourceArray other)
| Constructor, with another array object. More...
void | Add (HTML2PDFRelatedResource element)
| Add an element to the end of current array. More...
HTML2PDFRelatedResource | GetAt (uint index)
| Retrieve a copy of the element at position specified by index in current array. More...
uint | GetSize ()
| Get the size of elements in current array. More...
void | InsertAt (uint index, HTML2PDFRelatedResource element)
| Insert an element before the position specified by index. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (uint index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of related resource data objects.

## Constructor & Destructor Documentation

## ◆ HTML2PDFRelatedResourceArray()

foxit.addon.conversion.HTML2PDFRelatedResourceArray.HTML2PDFRelatedResourceArray | ( | HTML2PDFRelatedResourceArray | other | ) |
| inline

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit.addon.conversion.HTML2PDFRelatedResourceArray.Add | ( | HTML2PDFRelatedResource | element | ) |
| inline

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

HTML2PDFRelatedResource foxit.addon.conversion.HTML2PDFRelatedResourceArray.GetAt | ( | uint | index | ) |
| inline

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

uint foxit.addon.conversion.HTML2PDFRelatedResourceArray.GetSize | ( |  | ) |
| inline

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit.addon.conversion.HTML2PDFRelatedResourceArray.InsertAt | ( | uint | index,
|  | HTML2PDFRelatedResource | element
| ) |  |
| inline

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

void foxit.addon.conversion.HTML2PDFRelatedResourceArray.RemoveAll | ( |  | ) |
| inline

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit.addon.conversion.HTML2PDFRelatedResourceArray.RemoveAt | ( | uint | index | ) |
| inline

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.